TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.QueueRequestor Class Reference

This class provides a request/reply facility for messaging over a queue, using a TemporaryQueue for handling replies. More...

## Public Member Functions
| QueueRequestor (QueueSession session, Queue queue)
| Construct a QueueRequestor object given a queue session and queue. More...
Message | Request (Message message)
| Send the request message and obtain its reply. More...
void | Close ()
| Close the QueueRequestor object. More...

## Detailed Description

This class provides a request/reply facility for messaging over a queue, using a TemporaryQueue for handling replies.

We recommend that clients follow these steps:

1. Create a QueueSession, and use it to create a Queue for requests.
2. Create a QueueRequestor, using the queue session and queue as arguments.
3. Send a request and receive a reply. You may repeat this step for several request and reply pairs.
4. Close the requestor object, when done. The Close method also closes the requestor's session as a side effect.

## Constructor & Destructor Documentation

TIBCO.EMS.QueueRequestor.QueueRequestor | ( | QueueSession | session,
|  | Queue | queue
| ) |  |
| inline

Construct a QueueRequestor object given a queue session and queue.

Parameters

  session | The non-transacted QueueSession.The requestor operates within this queue session.This session must not use transaction semantics. Its delivery mode must be either AutoAcknowledge or DupsOkAcknowledge.The Close method also closes this session as a side effect.
  queue | The queue destination on which to send a request. Note that this queue must belong to the QueueSession provided by the session parameter

Exceptions

  EMSException | An EMSExceptin may be thrown in case of failure

## Member Function Documentation

void TIBCO.EMS.QueueRequestor.Close | ( |  | ) |
| inline

Close the QueueRequestor object.

This method also closes the QueueSession as a side effect.

Exceptions

  EMSException | In case of errors in closing the QueueRequestor object

Message TIBCO.EMS.QueueRequestor.Request | ( | Message | message | ) |
| inline

Send the request message and obtain its reply.

The requestor waits for and receives only the first reply. It discards other replies that arrive subsequently.

Parameters

  message | The request message to be sent.

Returns
  The reply for the request sent.

Exceptions

  EMSException | In case of errors in sending request and receiving reply